$color_checkbox_success: #335eea;
$color_checkbox_default: #8e8e93;
$transition: 0.1s cubic-bezier(0.95, 0.05, 0.795, 0.035);
$width: 3rem;
$height: 1.6rem;

.landkit__price {
    &--wrapper {
        background-color: #f1f4f8;
        padding-top: 8rem;
    }
    &__head {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1rem;
        h1 {
            font-size: 1.875rem;
            line-height: 1.3;
            letter-spacing: -0.01em;
            margin-bottom: 1rem;
        }

        &__des {
            max-width: 60%;
            text-align: center;
            font-size: 1.1875rem;
            color: #506690;
            font-weight: 400;
            line-height: 1.5;
        }

        &__toggle {
            display: flex;
            gap: 1.5rem;
            color: $color_muted;
        }
    }
    &__product {
        display: flex;
        align-items: center;
        padding-top: 5rem;
        justify-content: center;
        @include maxWidth(768px) {
            display: flex;
            flex-direction: column;
            gap: 2rem;
        }
    }
}
@include maxWidth(768px) {
    .landkit__price {
        &--wrapper {
            padding-top: 4rem;
        }

        &__head {
            h1 {
                font-size: 1.5rem;
            }

            &__des {
                max-width: 100%;
                font-size: 1.2rem;
            }
        }
    }
}
//toggle button
.toggle {
    &-control {
        transition: $transition;
        width: $width;
        height: $height;
        display: block;

        border-radius: $height;
        background-color: rgb(218, 216, 216);
        position: relative;
        &:after {
            transition: $transition;
            content: "";
            width: 1.4rem;
            height: 1.4rem;
            display: block;
            background-color: #fff;
            border-radius: 50%;
            position: absolute;
            top: 0.1rem;
            left: 0.2rem;
        }
    }

    input {
        display: none;
        &:checked + .toggle-control {
            border-color: $color_checkbox_success;
            background-color: $color_checkbox_success;
            &:after {
                left: $width/2;
            }
        }
    }
}

//Card Product
.card {
    background-color: $color_white;
    z-index: 100;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 3rem;

    max-width: 25rem;
    height: fit-content;
    box-shadow: 0 1.5rem 4rem rgba(22, 28, 45, 0.1) !important;

    @include maxWidth(450px) {
        max-width: 20rem;
    }

    &:first-child {
        z-index: 1000;
    }
    &__head {
        padding: 0 10rem;

        @include maxWidth(991px) {
            padding: 0 7rem;
        }

        &__type {
            color: $color_primary;
            background-color: rgba(51, 94, 234, 0.1);
            width: fit-content;
            padding: 0.5rem 1rem;
            border-radius: 50rem;
        }

        &__price {
            font-size: 3rem;
            padding-top: 3rem;
        }
        &__perSeat {
            color: $color_muted;
            padding-bottom: 3rem;
        }
    }

    &__des {
        padding: 5rem 2rem;
        font-size: 1.3125rem;
        font-weight: 400;
        color: $color_muted;
        text-align: center;
        line-height: 1.5;

        @include maxWidth(991px) {
            padding: 3rem 1rem;
        }
    }
    &__button {
        text-align: center;

        font-size: 1.0625rem;
        padding: 1.122rem 1.5rem;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        width: 100%;
        margin-top: 2rem;

        &--active {
            background-color: $color_primary;
            color: white;
        }
        &--inactive {
            background-color: #d9e2ef;
            color: #506690;
        }
    }
}
